Debian Bug report logs - #9771
[INSTALL-INFO] Switch to GNU install-info

version graph

Package: dpkg; Maintainer for dpkg is Dpkg Developers <debian-dpkg@lists.debian.org>; Source for dpkg is src:dpkg.

Reported by: Klee Dienes <klee@mit.edu>

Date: Tue, 13 May 1997 04:03:01 UTC

Severity: wishlist

Tags: pending

Merged with 32550, 36977, 51450, 60028, 198339

Found in versions 1.4.0.16, 1.4.0.31, 1.4.0.34, 1.4.1.19, 1.6.9

Fixed in version dpkg/1.15.4

Done: Guillem Jover <guillem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ian Jackson <ian@chiark.greenend.org.uk>:
Bug#9771; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Klee Dienes <klee@mit.edu>:
New bug report received and forwarded. Copy sent to Ian Jackson <ian@chiark.greenend.org.uk>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Klee Dienes <klee@mit.edu>
To: submit@bugs.debian.org
Subject: install-info name conflict
Date: Mon, 12 May 1997 23:52:17 -0400
Package: dpkg
Version: 1.4.0.16

Many GNU source packages check for the existence of a program called
'install-info', and if it exists, they use it to install info files in
the 'make install' target.

The program 'install-info' exists on Debian systems, but has a
different meaning than on GNU systems, causing these makefiles to
break.

There's no easy solution to this problem, but I believe that we should
begin the transition to a new name for our 'install-info' now, with an
eye toward replacing our version of 'install-info' with the GNU one
somewhere in the distant future.


Severity set to `grave'. Request was from Matthew Swift <swift@alum.mit.edu> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 9771 32550 36977. Request was from Matthew Swift <swift@alum.mit.edu> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Ian Jackson and others <dpkg-maint@chiark.greenend.org.uk>:
Bug#9771; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Matthew Vernon <matthew@debian.org>:
Extra info received and forwarded to list. Copy sent to Ian Jackson and others <dpkg-maint@chiark.greenend.org.uk>. Full text and rfc822 format available.

Message #14 received at 9771@bugs.debian.org (full text, mbox):

From: Matthew Vernon <matthew@debian.org>
To: dpkg-maint@chiark.greenend.org.uk, jrodin@jagor.srce.hr, debian-dpkg@lists.debian.org, 9771@bugs.debian.org
Subject: The install-info name conflict: a possible fix
Date: Fri, 27 Aug 1999 17:20:47 +0100 (BST)
Hi all,

	I got hold of the gnu install-info, and checked its command-line
arguments against those of dpkgs' install-info. From this, I've written a
shell script which tells from the command-line which install-info is
required. To use this, move the dpkg install_info to
/usr/bin/dinstall_info, and place the one that comes with texinfo as
/usr/bin/ginstall_info, with this as /usr/bin/install_info

If you like this, it could probably close #9771.

HTH,

Matthew



#! /bin/bash
# install_info.sh: checks command-line arguments for ones unique
# to either GNU install_info or dpkg install_info
# and calls the appropriate script,
# the Default being dpkg install_info
# This script Copyright C 1999 Matthew Vernon <matthew@debian.org>
# Released under the GPL version 2

a=$@   #shift would mangle this otherwise
gnu_install_info=/usr/bin/ginstall_info
dpkg_install_info=/usr/bin/dinstall_info

if [ $# -eq 1 ]
	then echo "Dpkg install-info to be used"
	exit 0
fi

while [ $1 ]
	do
case "$1" in

--dir-file=*|--entry=*|--delete|--info-file=*|--info-dir=*--item=*--section=*)
		echo "Using GNU install-info"
		$gnu_install_info $a
		exit 0
		;;

--section|--infodir=*|--align=*|--calign=*|--maxwidth=*|--description=*|--menuentry=*|--keep-old|--test)
		echo "Using Dpkg install-info"
		$dpkg_install_info $a
		exit 0
		;;
		*)
		;;
		esac
		shift
	done
echo "Unable to determine which install-info to use, defaulting to dpkg's version."
dpkg_install_info $a



Information forwarded to debian-bugs-dist@lists.debian.org, Ian Jackson and others <dpkg-maint@chiark.greenend.org.uk>:
Bug#9771; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Josip Rodin <jrodin@public.srce.hr>:
Extra info received and forwarded to list. Copy sent to Ian Jackson and others <dpkg-maint@chiark.greenend.org.uk>. Full text and rfc822 format available.

Message #19 received at 9771@bugs.debian.org (full text, mbox):

From: Josip Rodin <jrodin@public.srce.hr>
To: Matthew Vernon <matthew@debian.org>
Cc: dpkg-maint@chiark.greenend.org.uk, debian-dpkg@lists.debian.org, 9771@bugs.debian.org
Subject: Re: The install-info name conflict: a possible fix
Date: Fri, 27 Aug 1999 23:02:54 +0200
On Fri, Aug 27, 1999 at 05:20:47PM +0100, Matthew Vernon wrote:
> 	I got hold of the gnu install-info, and checked its command-line
> arguments against those of dpkgs' install-info. From this, I've written a
> shell script which tells from the command-line which install-info is
> required. To use this, move the dpkg install_info to
> /usr/bin/dinstall_info, and place the one that comes with texinfo as
> /usr/bin/ginstall_info, with this as /usr/bin/install_info
> 
> If you like this, it could probably close #9771.

Um, since the two program are now compatible (#28965 appears fixed), does
this kludge still need to be done, and urgently (bug is marked as release
critical, with which I don't quite agree)?

And, BTW texinfo package does NOT install its install-info binary, so the
bug won't happen with pure Debian installations. And we can't make people
suddenly put their GNU install-info in /usr/bin/ginstall_info , either.

-- 
enJoy -*/\*- don't even try to pronounce my first name


Information forwarded to debian-bugs-dist@lists.debian.org, Ian Jackson and others <dpkg-maint@chiark.greenend.org.uk>:
Bug#9771; Package dpkg. Full text and rfc822 format available.

Acknowledgement sent to Josip Rodin <joy@cibalia.gkvk.hr>:
Extra info received and forwarded to list. Copy sent to Ian Jackson and others <dpkg-maint@chiark.greenend.org.uk>. Full text and rfc822 format available.

Message #24 received at 9771@bugs.debian.org (full text, mbox):

From: Josip Rodin <joy@cibalia.gkvk.hr>
To: 9771@bugs.debian.org, 9771-submitter@bugs.debian.org, 32550@bugs.debian.org, 32550-submitter@bugs.debian.org, 36977@bugs.debian.org, 36977-submitter@bugs.debian.org
Subject: This is no longer release critical. EOD.
Date: Sat, 16 Oct 1999 18:18:55 +0200
severity 9771 wishlist
thanks

Hi people,

These bugs aren't release critical for Debian anymore. This is from
dpkg's changelog:

dpkg (1.4.1.5) unstable; urgency=low

  * Add Zack Weinberg's install-info patch for GNU install-info
    compatibility (closes:Bug#28965).

So our install-info is now compatible with GNU install-info (in one
direction). It is not Debian's fault if someone has GNU's install-info in
$PATH before /usr/sbin/install-info - don't mess with the packaging system,
you'll just get in trouble.

Anyway, these conflicts don't happen quite so often. Debian's texinfo
package doesn't install its (GNU's) install-info binary, so the bug won't
happen with pure Debian installations.

There is still one option - rename dpkg's install-info to something
else, but there's too little gain and too much breakage of our packages
included in that. I wouldn't recommend it, but can ackgnowledge it
as a valid wish/request. Thus, I'm changing the severity of these
bug reports to 'wishlist'.

-- 
enJoy -*/\*- don't even try to pronounce my first name


Message sent on to Klee Dienes <klee@mit.edu>:
Bug#9771. Full text and rfc822 format available.

Severity set to `wishlist'. Request was from Josip Rodin <joy@cibalia.gkvk.hr> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 9771 32550 36977 51450. Request was from Josip Rodin <jrodin@public.srce.hr> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 9771 32550 36977 51450 60028. Request was from Josip Rodin <joy@cibalia.gkvk.hr> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Adam Heath <doogie@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed Request was from Adam Heath <doogie@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: fixed Request was from Adam Heath <doogie@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Adam Heath <doogie@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Adam Heath <doogie@brainfood.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: pending Request was from Frank Lichtenheld <frank@lichtenheld.de> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 9771 32550 36977 51450 60028 198339. Request was from Frank Lichtenheld <frank@lichtenheld.de> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: moreinfo, unreproducible Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Thu, 16 Apr 2009 16:36:09 GMT) Full text and rfc822 format available.

Changed Bug title to `[INSTALL-INFO] Switch to GNU install-info' from `[INSTALL-INFO] install-info: conflicts with GNU's install-info(fixed)'. Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Thu, 16 Apr 2009 16:36:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#9771; Package dpkg. (Mon, 15 Jun 2009 21:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lionel Elie Mamane <lionel@mamane.lu>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Mon, 15 Jun 2009 21:33:08 GMT) Full text and rfc822 format available.

Message #56 received at 9771@bugs.debian.org (full text, mbox):

From: Lionel Elie Mamane <lionel@mamane.lu>
To: 139569@bugs.debian.org, 9771@bugs.debian.org, 411722@bugs.debian.org
Subject: dpkg's install-info obsolete?
Date: Mon, 15 Jun 2009 23:32:08 +0200
Well, it seems dpkg's install-info (in /usr/sbin/install-info) is not
used anymore in Debian now, making bugs #139569 and #411722 (and a few
others) obsolete and #9771 essentially closed?

Actually, maybe dpkg's install-info should be removed completely?
Thereby closing all the bugs against it? Or at least renamed, I must
confess that I'm not comfortable with having both
/usr/sbin/install-info and /usr/bin/install-info be two different
implementations that behave differently. That is laying a "trap" for
our users, where depending on their $PATH they suddenly get different
behaviour, it can be tricky for them to debug the problem...

Possibly that is your plan, but you are waiting for a few hardcoded
calls to /usr/sbin/install-info to disappear, but I didn't see this
in the various bug reports.

-- 
Lionel




Information forwarded to debian-bugs-dist@lists.debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#9771; Package dpkg. (Tue, 16 Jun 2009 06:42:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Dpkg Developers <debian-dpkg@lists.debian.org>. (Tue, 16 Jun 2009 06:42:08 GMT) Full text and rfc822 format available.

Message #61 received at 9771@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Lionel Elie Mamane <lionel@mamane.lu>, 139569@bugs.debian.org
Cc: 9771@bugs.debian.org, 411722@bugs.debian.org
Subject: Re: Bug#139569: dpkg's install-info obsolete?
Date: Tue, 16 Jun 2009 08:30:29 +0200
On Mon, 15 Jun 2009, Lionel Elie Mamane wrote:
> Possibly that is your plan, but you are waiting for a few hardcoded
> calls to /usr/sbin/install-info to disappear, but I didn't see this
> in the various bug reports.

There's a plan indeed, see
http://wiki.debian.org/Transitions/DpkgToGnuInstallInfo

We wait until all info-browsers are updated to depend on install-info.

Cheers,
-- 
Raphaël Hertzog

Contribuez à Debian et gagnez un cahier de l'admin Debian Lenny :
http://www.ouaza.com/wp/2009/03/02/contribuer-a-debian-gagner-un-livre/




Tags added: pending Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Fri, 03 Jul 2009 14:06:03 GMT) Full text and rfc822 format available.

Message sent on to Klee Dienes <klee@mit.edu>:
Bug#9771. (Fri, 03 Jul 2009 14:06:13 GMT) Full text and rfc822 format available.

Message #66 received at 9771-submitter@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: 9771-submitter@bugs.debian.org
Subject: Bug#9771 marked as pending
Date: Fri, 03 Jul 2009 13:59:54 +0000
tag 9771 pending
thanks

Hello,

Bug #9771 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=dpkg/dpkg.git;a=commitdiff;h=49c5d0b

---
commit 49c5d0bbe00b3922fb07efae60fd65bb91c64bb1
Author: Raphael Hertzog <hertzog@debian.org>
Date:   Fri Jul 3 15:35:50 2009 +0200

    Add changelog entry for the install-info transition

diff --git a/debian/changelog b/debian/changelog
index a45f189..5722977 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -11,6 +11,13 @@ dpkg (1.15.4) UNRELEASED; urgency=low
   * Do not remap obsolete fields in dpkg-scanpackages as they have been
     handled already by “dpkg-deb -I”.
 
+  [ Raphael Hertzog ]
+  * Replace install-info by a wrapper around GNU's install-info. The wrapper
+    will be dropped in squeeze+1. dpkg now Breaks: old versions of
+    info-browsers that do not depend on the new install-info package
+    that provides the real functionality. Closes: #9771, #523980
+    See http://wiki.debian.org/Transitions/DpkgToGnuInstallInfo for details.
+
   [ Updated dpkg translations ]
   * French (Christian Perrier).
   * Asturian (Marcos Alvarez Costales). Closes: #535327




Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Sun, 06 Sep 2009 08:52:27 GMT) Full text and rfc822 format available.

Notification sent to Klee Dienes <klee@mit.edu>:
Bug acknowledged by developer. (Sun, 06 Sep 2009 08:52:27 GMT) Full text and rfc822 format available.

Message #71 received at 9771-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 9771-close@bugs.debian.org
Subject: Bug#9771: fixed in dpkg 1.15.4
Date: Sun, 06 Sep 2009 08:00:43 +0000
Source: dpkg
Source-Version: 1.15.4

We believe that the bug you reported is fixed in the latest version of
dpkg, which is due to be installed in the Debian FTP archive:

dpkg-dev_1.15.4_all.deb
  to pool/main/d/dpkg/dpkg-dev_1.15.4_all.deb
dpkg_1.15.4.dsc
  to pool/main/d/dpkg/dpkg_1.15.4.dsc
dpkg_1.15.4.tar.gz
  to pool/main/d/dpkg/dpkg_1.15.4.tar.gz
dpkg_1.15.4_amd64.deb
  to pool/main/d/dpkg/dpkg_1.15.4_amd64.deb
dselect_1.15.4_amd64.deb
  to pool/main/d/dpkg/dselect_1.15.4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 9771@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated dpkg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 06 Sep 2009 09:37:45 +0200
Source: dpkg
Binary: dpkg dpkg-dev dselect
Architecture: source amd64 all
Version: 1.15.4
Distribution: unstable
Urgency: low
Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 dpkg       - Debian package management system
 dpkg-dev   - Debian package development tools
 dselect    - Debian package management front-end
Closes: 9771 33394 218018 373602 429262 455501 472208 494714 496114 523980 531307 535138 535327 535353 536538 536821 537558 537559 537741 537742 537800 540019 540382 541412 541829 542254 542254 542254 544037
Changes: 
 dpkg (1.15.4) unstable; urgency=low
 .
   [ Guillem Jover ]
   * Call _g instead of g_ in dpkg-name.
   * Fix inverted logic when deciding to assume the architecture in dpkg-name
     when the package didn't have such field.
   * Do not take into account Revision and Package_Revision fields in dpkg-name
     and dpkg-scanpackages as they have been handled already by “dpkg-deb -I”.
   * Switch dpkg-scansources to use Dpkg::Cdata instead of duplicating the
     .dsc parsing code. As a side effect it now handles properly bogus files.
   * Do not remap obsolete fields in dpkg-scanpackages as they have been
     handled already by “dpkg-deb -I”.
   * Properly mark packages being purged for disappearance from the database.
     This will make the status database not be left behind with traces of old
     not-installed packages. Closes: #472208
   * On parse mark not-installed leftover packages for automatic removal from
     the database on next dump. This obsoletes the --forget-old-unavail option,
     thus making it now a no-op. Closes: #33394, #429262
   * Document “hold” under package selection states instead of flags in dpkg(1).
   * Remove trailing ‘/’ and ‘/.’ from the directory name to be used as the
     package name on “dpkg-deb -b”. Closes: #218018, #373602
   * Remove obsolete ‘hold’ and ‘hold-reinstreq’ internal status flags.
   * Add fakeroot to dpkg-dev Recommends. Closes: #536821
   * Fix an always false test when trying to decide which package to deselect
     to resolve a dependency problem in dselect.
   * Add uClibc Linux support to ostable and triplettable. Closes: #455501
   * Add uClinux support to ostable and triplettable.
     Thanks to Simon Richter <sjr@debian.org>.
   * When aborting due to file conflicts print the version of the conflicted
     package. Closes: #540019
   * Remove double slash in database path visible to the user in some error
     conditions.
   * Stop macthing sparc64-*-* GNU triplets with sparc Debian architecture.
   * Add support for config.d style directories in dpkg and dselect,
     (/etc/dpkg/dpkg.cfg.d and /etc/dpkg/dselect.cfg.d respectively).
   * Define DPKG_MAINTSCRIPT_ARCH on the maintainer script environment to the
     architecture the package got built for.
   * Document DPKG_MAINTSCRIPT_PACKAGE maintainer script environment variable
     in dpkg man page.
   * Document DPKG_RUNNING_VERSION maintainer script environment variable
     in dpkg man page.
   * Change po4a usage to not create unwated changes depending if doing out or
     in-tree builds.
   * Use po4a “--previous” support when updating the man pages.
     Suggested by Christian Perrier <bubulle@debian.org>.
   * On configuration error print file name and line number.
   * Allow quoting values in configuration file options.
   * Add new --pre-invoke and --post-invoke hooks in dpkg.
   * Add new --control-path command to dpkg-query.
   * Use ohshit on bad version syntax in --compare-versions.
   * Add Multi-Arch to the list of known binary package fields for dpkg-dev.
     Thanks to Steve Langasek <vorlon@debian.org>.
 .
   [ Raphael Hertzog ]
   * Replace install-info by a wrapper around GNU's install-info. The wrapper
     will be dropped in squeeze+1. dpkg now Breaks: old versions of
     info-browsers that do not depend on the new install-info package
     that provides the real functionality. Closes: #9771, #523980
     See http://wiki.debian.org/Transitions/DpkgToGnuInstallInfo for details.
   * Fix dpkg's preinst in case /var/lib/dpkg/alternatives contains unexpected
     sub-directories. Closes: #535138
     And also when one of the file doesn't contain correct alternatives
     information (improper number of lines). Closes: #537558
   * Upgrade Standards-Version to 3.8.2 (no changes).
   * Update deb-substvars(5) to list fields that do not support substvars.
     Closes: #535353
   * Fix dpkg-parsechangelog to include all entries with -v0 parameter.
     Closes: #537800
   * Fix update-alternatives to mention the correct slave link that can't
     be installed due to a conflicting file instead of quoting the master link.
   * Add support for extra override file in dpkg-scanpackages. Thanks to Robert
     Millan for the patch. Closes: #537559
   * Add support for extra override file in dpkg-scansources.
   * Document format of extra override file in a new manual page
     deb-extra-override(5).
   * Update sample in dpkg-gensymbols(1) to give an accurate listing of
     64 bit arches. Thanks to Julien Cristau for the patch. Closes: #540382
   * Create /etc/cron.daily/dpkg to handle the backup of
     /var/lib/dpkg/status in /var/backups. This is taken out of the cron
     package and need no conflicts/breaks as the code does nothing if
     the current status file is already backupped. Thanks to Leo 'costela'
     Antunes <costela@debian.org> for the patch. Closes: #541412
   * Change behaviour of dpkg --merge-avail to not update a package's
     information if the version provided is older than the one already listed
     in the available file. Thanks to Ian Jackson
     <ian@davenant.greenend.org.uk> for the patch. Closes: #496114
   * dpkg-architecture can now export DEB_{HOST,BUILD}_ARCH_{BITS,ENDIAN}
     (pointer size and endianness):
     - cputable (in dpkg) modified to contain those information
     - dpkg-dev depends on dpkg (>= 1.15.4) to ensure that we have an updated
       cputable (and so that a versioned build-dependency on dpkg-dev is enough
       to use this new feature)
     Closes: #531307
   * Split overly long Binary: field values over multiple lines. This is
     allowed since policy 3.8.3. Closes: #494714
   * Improve performance of dpkg-shlibdeps by caching minimal version
     associated to each library in Dpkg::Shlib::SymbolFile. Thanks to
     Jiří Paleček <jpalecek@web.de> for the patch.
   * Slightly improve dpkg-source(1) by giving the section name that we're
     referring to. Closes: #544037
   * Fix translation error in german manpage of dpkg-buildpackage. Thanks
     to Joachim Breitner <nomeata@debian.org>. Closes: #541829
 .
   [ Modestas Vainius ]
   * Provide a meaningful label for dpkg-gensymbols diff.
 .
   [ Updated dpkg translations ]
   * Asturian (Marcos Alvarez Costales). Closes: #535327
   * French (Christian Perrier).
   * German (Sven Joachim).
   * Italian (Milo Casagrande). Closes: #536538
   * Russian (Yuri Kozlov). Closes: #542254
   * Slovak (Ivan Masár). Closes: #537742
   * Swedish (Peter Krefting).
 .
   [ Updated dselect translations ]
   * Russian (Yuri Kozlov). Closes: #542254
   * Slovak (Ivan Masár). Closes: #537741
 .
   [ Updated man page translations ]
   * French (Christian Perrier).
   * German (Helge Kreutzmann), proofread by Jens Seidel.
   * Swedish (Peter Krefting).
 .
   [ Updated scripts translations ]
   * French completed (Christian Perrier).
   * German (Helge Kreutzmann).
   * Russian (Yuri Kozlov). Closes: #542254
   * Swedish (Peter Krefting).
Checksums-Sha1: 
 f4e2addc34c72e3100d681b24a506903af379fe3 1211 dpkg_1.15.4.dsc
 732c4dd9cd848768b1dd270697738a84ca1baefd 7036109 dpkg_1.15.4.tar.gz
 8a1c1968e237e0261bdd26847ad3a1e9c39de696 2148332 dpkg_1.15.4_amd64.deb
 2745e187c2cb06bc448fa6ac1ae4a0f98778ef3d 704514 dselect_1.15.4_amd64.deb
 744fd0c7a3cf963a402feb5d1b49c75ba071c612 690158 dpkg-dev_1.15.4_all.deb
Checksums-Sha256: 
 b160b6bf831467169f1f0f7cfe9861f0a47d626e3b5c7376f949b057212369ff 1211 dpkg_1.15.4.dsc
 87cc8f29595e3b63f3c732bfc44b76e991114dbb6411ed82f50bf97b59716543 7036109 dpkg_1.15.4.tar.gz
 15829a1c012fba94629b4c69311c43cde03e9d5fede787c5b7983c073811719d 2148332 dpkg_1.15.4_amd64.deb
 e1d05fc002190f0637bdc7496a9e20a32171ca11a5433d8320e17194b67e6914 704514 dselect_1.15.4_amd64.deb
 295494e1cca00abc2d2a2379b27bba7a43bc1245c11ca485f4e5a93d5a5310c9 690158 dpkg-dev_1.15.4_all.deb
Files: 
 0058b0bdaa39f223792496a1617241bd 1211 admin required dpkg_1.15.4.dsc
 8fac722070803657a3123de6063ff9fd 7036109 admin required dpkg_1.15.4.tar.gz
 4b61f8b54d0d794f1a558406afcd48b2 2148332 admin required dpkg_1.15.4_amd64.deb
 16b87f9a5875fb12b3540c1f9864944c 704514 admin optional dselect_1.15.4_amd64.deb
 597f95e1e0ff2593f626a5a9ab46baa4 690158 utils optional dpkg-dev_1.15.4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkqjaHIACgkQuW9ciZ2SjJveYQCdH6qgKuo0wyr/5l8AwnMbXfl3
OSgAnigix67WKpmov/RZ9DYxl+/BxDvP
=hJtk
-----END PGP SIGNATURE-----





Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Sun, 06 Sep 2009 08:52:28 GMT) Full text and rfc822 format available.

Notification sent to <swift@alum.mit.edu>:
Bug acknowledged by developer. (Sun, 06 Sep 2009 08:52:28 GMT) Full text and rfc822 format available.

Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Sun, 06 Sep 2009 08:52:28 GMT) Full text and rfc822 format available.

Notification sent to <swift@alum.mit.edu>:
Bug acknowledged by developer. (Sun, 06 Sep 2009 08:52:28 GMT) Full text and rfc822 format available.

Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Sun, 06 Sep 2009 08:52:29 GMT) Full text and rfc822 format available.

Notification sent to Kai.Grossjohann@CS.Uni-Dortmund.DE (Kai Großjohann):
Bug acknowledged by developer. (Sun, 06 Sep 2009 08:52:29 GMT) Full text and rfc822 format available.

Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Sun, 06 Sep 2009 08:52:29 GMT) Full text and rfc822 format available.

Notification sent to Kai.Grossjohann@CS.Uni-Dortmund.DE (Kai Großjohann):
Bug acknowledged by developer. (Sun, 06 Sep 2009 08:52:29 GMT) Full text and rfc822 format available.

Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Sun, 06 Sep 2009 08:52:30 GMT) Full text and rfc822 format available.

Notification sent to James Youngman <jay@excession.spiral-arm.org>:
Bug acknowledged by developer. (Sun, 06 Sep 2009 08:52:30 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Mon, 19 Oct 2009 16:27:09 GMT) Full text and rfc822 format available.

Message sent on to Klee Dienes <klee@mit.edu>:
Bug#9771. (Mon, 19 Oct 2009 16:27:17 GMT) Full text and rfc822 format available.

Message #101 received at 9771-submitter@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: 9771-submitter@bugs.debian.org
Subject: Bug#9771 marked as pending
Date: Mon, 19 Oct 2009 16:19:39 +0000
tag 9771 pending
thanks

Hello,

Bug #9771 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=dpkg/dpkg.git;a=commitdiff;h=49c5d0b

---
commit 49c5d0bbe00b3922fb07efae60fd65bb91c64bb1
Author: Raphael Hertzog <hertzog@debian.org>
Date:   Fri Jul 3 15:35:50 2009 +0200

    Add changelog entry for the install-info transition

diff --git a/debian/changelog b/debian/changelog
index a45f189..5722977 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -11,6 +11,13 @@ dpkg (1.15.4) UNRELEASED; urgency=low
   * Do not remap obsolete fields in dpkg-scanpackages as they have been
     handled already by “dpkg-deb -I”.
 
+  [ Raphael Hertzog ]
+  * Replace install-info by a wrapper around GNU's install-info. The wrapper
+    will be dropped in squeeze+1. dpkg now Breaks: old versions of
+    info-browsers that do not depend on the new install-info package
+    that provides the real functionality. Closes: #9771, #523980
+    See http://wiki.debian.org/Transitions/DpkgToGnuInstallInfo for details.
+
   [ Updated dpkg translations ]
   * French (Christian Perrier).
   * Asturian (Marcos Alvarez Costales). Closes: #535327




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 17 Nov 2009 07:31:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:57:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.